Package musicbrainz2 :: Module wsxml :: Class ReleaseResult

[frames] | no frames]

# Class ReleaseResult

source code

        object --+
                 |
    AbstractResult --+
                     |
                    ReleaseResult

Represents a release result.

A ReleaseResult consists of a score and a release. The score is a number between 0 and 100, where a higher number indicates a better match.

Instance Methods

__init__(self, release, score) x.__init__(...) initializes x; see help(type(x)) for signature | source code

getRelease(self) Returns a Release object. | source code

setRelease(self, release) | source code

Inherited from `AbstractResult`: `getScore`, `setScore` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| release A Release object.
Inherited from `AbstractResult`: `score` Inherited from `object`: `__class__`

Method Details

### __init__(self, release, score)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### getRelease(self)

source code

Returns a Release object.

Returns:
  a musicbrainz2.model.Release object

Property Details

### release

A Release object.

Get Method:
  getRelease(self) - Returns a Release object.
Set Method:
  setRelease(self, release)